PUBTAL(1)

NAME
PubTal — Generate a web site from content and templates, and upload it to its destination

SYNOPSIS

updateSite [options] site.config [content-dir | content-type ] [...]

uploadSite [options] site.config [destination-dir | destination-file ] [...]

DESCRIPTION

This manual page documents briefly the updateSite and uploadSite commands from the PubTal package

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in HTML format; see below.

updateSite generates HTML pages starting from a series of content files and templates written in the ZPT language.

The command takes a minimum of one parameter, the location of the website configuration file.

The updateSite command first reads in the configuration file and so locates the content, template, and destination directories (defaulting to content, template, and dest respectively). If only one parameter is passed to updateSite, it will then find each file under the content directory and build the corresponding output files.

If more than one parameter is passed, then each extra parameter is taken as content to build. If the parameter is a directory under the content directory, then any content files in that directory will be built recursively. If the parameter is a file in the content directory (or one of its children), then just that file will be built.

Take for example:

updateSite new-site/site.config new-site/content/index.txt new-site/content/examples/

This will build the index.txt file into index.html and all content files under content/examples/ will be built into their corresponding output files.

uploadSite uploads the generated pages. This takes a minimum of one parameter, the location of the website configuration file.

The uploadSite command first reads in the configuration file and so locates the destination directories. If only one parameter is passed to uploadSite, it will then find each file under the destination directory that needs to be uploaded. The logic used to determine whether a file needs to be uploaded is explained in the Uploading section.

If more than one parameter is passed, then each extra parameter is taken as destination to upload. If the parameter is a directory under the destination directory then any files in that directory will be considered for upload recursively. If the parameter is a file in the destination directory (or one of its children), then just that file will be considered for upload.

Take for example:

uploadSite new-site/site.config new-site/dest/index.html new-site/dest/examples/

This will examine the index.html file and all files under dest/examples/ when determining what files to upload.

OPTIONS

A summary of options is included below. For a complete description, see the HTML documentation.

Options for updateSite

-h

--help
    Prints out the help description for the command.

-a

--all
    Builds all classes of content, not just content in the "normal" class.

--class classParams
    Builds all classes given as supplied in a comma separated list.

--logging
    Turns on logging.

--logfile name
    Logs to the file "name" (defaults to updateSite.log).

--debug
    Turns on debug logging; implies --logging.

--debug-simpletal
    Turns on debug logging of SimpleTAL, implies --logging.

Options for uploadSite

-h

--help
    Prints out the help description for the command.

-a

--all
    Checks all files are uploaded, not just PubTal generated ones.

--force
    Uploads files even if PubTal thinks they are up-to-date.

--dry-run
    Prints out what would have been done, but takes no action.

--logging
    Turns on logging.

--logfile name
    Logs to the file "name" (defaults to updateSite.log).

--debug
    Turns on debug logging; implies --logging.

SEE ALSO

The programs are documented fully by HTML documentation available in /usr/share/doc/pubtal/html.

AUTHOR

This manual page was written by Luis Rodrigo Gallardo Cruz rodrigo@nul-unu.com for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.